/**
 * @function
 * @param {Object} rawPos - input position from ZMQ
 * @param {String} trackableUid - trackable unique identifier
 * @param {String} sublocationUid - sublocation unique identifier
 * @param {String} type - position type
 * @return {Object} - extended position
 */
export function formatPosition(rawPos, trackableUid, sublocationUid, type) {
    return {
        tk_uid: trackableUid,
        ts: rawPos.ts,
        data: {
            x: rawPos.data.x,
            y: rawPos.data.y,
            z: rawPos.data.z,
            sl_uid: sublocationUid,
            type,
            mac: rawPos.mac.toUpperCase(),
        },
    };
}
